#!/bin/bash

# ==============================================================================
# Configuration
# ==============================================================================

CWROOT="/usr/local/curbywall"



# ==============================================================================
# Sanity Checks
# ==============================================================================

# Check permissions
if [[ "$UID" != "0" ]]; then
  echo "You need to have root privileges to run this script."
  echo "You might try running 'sudo $0'."
  exit 2
fi



# ==============================================================================
# Uninstall old version
# ==============================================================================

if [[ -e "$CWROOT/install.log" ]]; then
  echo "Old version found.  Uninstalling... "
  while IFS= read -r file; do
    if [[ -d "$file" ]]; then
      rmdir -p "$file"
      if [[ "$?" != "0" && "$CWROOT" == "$file" ]]; then
        echo "Files may have been added after installation.  These have not been deleted."
      fi
    elif [[ -h "$file" || -e "$file" ]]; then
      rm "$file"
    fi
  done < "$CWROOT/install.log"
  echo "No changes were made to /etc/sysctl.conf."
else
  echo "No existing installation found!"
  exit 3
fi
